Clients

Clients represent the customers of Flowbrite. Almost all other resources are accessed in the context of a client.

Overview

Clients can have multiple users with different permissions. API keys are created in the context of a client user and can be assigned a sub-set of that users permissions.

Core client and user information is managed by Flowbrite, so if you need to update your details, please contact your account manager. Settings can be managed via the web interface or API.


Who Am I?

GET/v1/auth/who-am-i

This endpoint allows you to retrieve details of the authenticated user. It includes information on the how the request was authenticated, such as the ID of the API key or JWT used.

Request

GET
/v1/auth/who-am-i
curl -G https://api.flowbrite.io/v1/auth/who-am-i \
  -H "X-API-KEY: {api_key}"

Responses

Response Body

  • Name
    data
    Type
    object
    Type
    Description

Example Responses

{
  "data": {
    "user": {
      "id": "usr_D01JTK7HHZ9XYY8N5KHZPRKKQJ9",
      "firstName": "George",
      "lastName": "Goodchild",
      "email": "george@flowbrite.io",
      "status": "Active",
      "dateOfLastLogin": "2025-06-04T11:44:03.8291333",
      "settings": {
        "locale": null,
        "avatarUrl": null
      }
    },
    "client": {
      "id": "cli_D01JTK7H3SZEEP3KVHA1ZFFRYDD",
      "name": "George Goodchild",
      "code": "GRGDCH",
      "address": {
        "lines": ["16 High Street"],
        "city": "Marlow",
        "state": "",
        "postalCode": "SL7 1LS",
        "countryCode": "GB"
      },
      "clientType": "Personal",
      "companyWebsite": null,
      "status": "Active",
      "settings": {
        "baseCcy": "GBP"
      }
    },
    "clientUser": {
      "id": "cu_D01JTK7HJ6KPZ2KHEP5GYK80H3Q"
    },
    "apiKey": {
      "id": "ak_D01JWXCPWQ58TV0S635W305MDQ7"
    },
    "jwt": {
      "id": null
    },
    "environment": {
      "name": "SANDBOX"
    }
  }
}

Update Client Settings

PUT/v1/client-settings

Update settings for the authenticated client. This endpoint requires the X-IDEMPOTENCY-KEY header.

Please refer to the Idempotency Guide for more information.

Request Body

  • Name
    baseCcy
    Type
    string
    Required
    Type
    Description

    The base currency for the client. Must be a valid 3-letter ISO currency code (e.g. GBP, USD, EUR).

Request

PUT
/v1/client-settings
  curl -X PUT https://api.flowbrite.io/v1/client-settings \
  -H "X-API-KEY: {api_key}" \
  -H "X-IDEMPOTENCY-KEY: {idempotency_key}" \
  -H "Content-Type: application/json" \
  -d '{
    "baseCcy": "GBP"
  }'

Responses

Example Responses

{
  "data": {
    "id": "cli_X01JTK7H3SZEEP3KVHA1ZFFRYDD",
    "name": "Joanna Bloggs Ltd",
    "settings": {
      "baseCcy": "GBP"
    }
  }
}